<script lang="ts">
	export let imgUrl: string = '';
	export let title: string = '';
	export let description: string = '';
</script>

<div class="relative flex flex-col gap-2 items-center">
	<div class="w-full relative">
		<img
			alt="Service à la carte"
			src={imgUrl}
			decoding="async"
			data-nimg="fill"
			class="w-full rounded-3xl hover:opacity-70 transition-all duration-500 cursor-pointer"
			style="filter: blur(0.5px) brightness(0.8);"
		/>
	</div>
	<div
		class="absolute flex flex-col items-center justify-end gap-2 text-center bottom-0 left-0 w-full bg-gradient-to-t from-noir-600 via-80% via-noir-500 to-transparent bg-opacity-50 py-4 rounded-b-3xl"
	>
		<span class="font-title text-3xl text-center">{title}</span>
		<span>{description}</span>
	</div>
	<!-- <button
		style="font-weight: var(--body-fontWeight); background-color: rgb(173, 91, 88); color: rgb(255, 255, 255); border-radius: 8px; border-color: rgb(173, 91, 88); border-width: 2px; border-style: solid; box-shadow: none;"
		class="w-fit p-2"
	>
		Plus d'info
	</button> -->
</div>
